/*
 * Copyright (c) 1994, 2001 Alex Leigh, All Rights Reserved
 *
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ALEX LEIGH The copyright
 * notice above does not evidence any actual or intended publication of such
 * source code.
 *
 * Use, disclosure, copying, distribution, or transmission of this code without
 * express permission is prohibited.
 */

#ifndef _CMD_H
#define _CMD_H

#include <arpa/telnet.h>
#include <continuity.h>

typedef struct cmdSop cmdTop;

void cmdFbind_stub(cmdTop *parent,const char *cmd, const char *helpmsg);
void cmdFbind_command(cmdTop *parent,
		      const char *cmd,
                      int(*op_func)(netTconn *conn, int argc, char **argv),
                      const char *helpmsg);
cmdTop *cmdFroot(void);
cmdTop *cmdFmatch(const char *cmd, cmdTop *ops);
int cmdFadd_user(void *p, lstTset *opt);
#endif

